> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Document Upload Url

> Generates a fileKey under user_generated/{type} and returns a presigned S3 upload URL.

Not available to API keys yet. It will need `documents:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /platform/get-document-upload-url
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/get-document-upload-url:
    post:
      operationId: getDocumentUploadUrl
      summary: Get Document Upload Url
      description: >-
        Generates a fileKey under user_generated/{type} and returns a presigned
        S3 upload URL.


        Not available to API keys yet. It will need `documents:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetDocumentUploadUrlRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDocumentUploadUrlResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetDocumentUploadUrlRequest:
      type: object
      properties:
        fileType:
          type: string
          enum:
            - WARRANT_AGREEMENT
            - EXERCISE_NOTICE
            - PAYMENT_PROOF
            - GRANT_AGREEMENT
            - EIGHTY_THREE_B_ELECTION
            - EIGHTY_THREE_B_ELECTION_RECIEPT
            - RECIEPTS
            - SETTLEMENT_STATEMENT
            - SECTION_431_ELECTION_EMPLOYEE
            - SECTION_431_ELECTION_EMPLOYER
            - OTHER
        fileName:
          type: string
      required:
        - fileType
        - fileName
    GetDocumentUploadUrlResponse:
      type: object
      properties:
        url:
          type: string
        fileKey:
          type: string
      required:
        - url
        - fileKey
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
